"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk = require('chalk');
const inquirer = require("inquirer");
const cli_1 = require("../cli");
const fileHelper_1 = require("../helpers/fileHelper");
const moduleHelper_1 = require("../helpers/moduleHelper");
const questions_1 = require("../helpers/questions");
cli_1.program.command('config')
    .alias('c')
    .description('Starts protractor\'s interactive cli')
    .action(() => __awaiter(this, void 0, void 0, function* () {
    if (!process.argv.slice(3).length) {
        console.log(`
============================
${chalk.red.bold('PROTRACTOR\'s INTERACTIVE CLI')}
============================

`);
        const answers = yield inquirer.prompt(questions_1.questions);
        try {
            yield moduleHelper_1.installModules(answers);
        }
        catch (err) {
            throw new Error(err);
        }
        yield fileHelper_1.createConfigFile(answers);
    }
    else {
        console.error(chalk.red(`
${'Config command doesn\'t have any arguments! Try running the command only!'}`));
        process.exit(0);
    }
}));
/**
 * Public Interface
 */
exports.config = { program: cli_1.program };
//# sourceMappingURL=config.js.map