"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk = require('chalk');
const cli_1 = require("../cli");
const npmUtil_1 = require("../utils/npmUtil");
const pkgs = ['protractor', 'webdriver-manager'];
cli_1.program.command('install')
    .alias('i')
    .description('Installs protractor and webdriver dependencies globally!')
    .action(() => __awaiter(this, void 0, void 0, function* () {
    if (!process.argv.slice(3).length) {
        try {
            yield npmUtil_1.checkPackageJson();
            yield npmUtil_1.installPkgs('Installing Protractor & Webdriver-Manager Pkgs Globally!...', pkgs, { global: true });
            const updateWd = yield npmUtil_1.updateWebdriver();
            console.log(updateWd);
        }
        catch (err) {
            throw new Error(err);
        }
    }
    else {
        console.error(chalk.red(`
${'Install command doesn\'t have any arguments! Try running the command only!'}`));
        process.exit(0);
    }
}));
/**
 * Public Interface
 */
exports.install = { program: cli_1.program };
//# sourceMappingURL=install.js.map