"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const npmUtil_1 = require("../utils/npmUtil");
// install protractor by default as dev dependency
const devModules = ['protractor'];
exports.devModules = devModules;
function installModules(answers) {
    return __awaiter(this, void 0, void 0, function* () {
        if (answers.framework === 'jasmine') {
            if (answers.transpilerType === 'typescript') {
                devModules.push('typescript', '@types/node', '@types/jasmine', 'ts-node');
            }
            else if (answers.transpilerType === 'coffeescript') {
                devModules.push('coffeescript');
            }
            if (answers.reportType === 'spec') {
                devModules.push('jasmine-spec-reporter');
            }
            if (answers.reportType === 'html') {
                devModules.push('protractor-jasmine2-screenshot-reporter');
            }
        }
        if (answers.framework === 'mocha') {
            if (answers.transpiler) {
                if (answers.transpilerType === 'typescript') {
                    devModules.push('typescript', '@types/node', '@types/mocha', 'ts-node');
                }
                else if (answers.transpilerType === 'coffeescript') {
                    devModules.push('coffeescript');
                }
            }
            if (answers.reportType === 'html') {
                devModules.push('mochawesome');
            }
        }
        if (answers.framework === 'cucumber') {
            devModules.push('cucumber', 'protractor-cucumber-framework');
            if (answers.transpiler) {
                if (answers.transpilerType === 'typescript') {
                    devModules.push('typescript', '@types/node', '@types/cucumber', 'ts-node');
                }
                else if (answers.transpilerType === 'coffeescript') {
                    devModules.push('coffeescript');
                }
            }
            if (answers.cucumberReportType === 'html') {
                devModules.push('cucumber-html-reporter');
            }
        }
        if (answers.linter) {
            if (answers.linter === 'tslint') {
                devModules.push('tslint', 'tslint-eslint-rules');
            }
            else {
                devModules.push('eslint', 'eslint-plugin-protractor');
            }
        }
        if (devModules.length > 0) {
            try {
                yield npmUtil_1.checkPackageJson();
                yield npmUtil_1.installPkgs('Installing dev dependencies...', devModules, {
                    saveDev: true,
                });
            }
            catch (err) {
                console.log(err);
            }
        }
    });
}
exports.installModules = installModules;
//# sourceMappingURL=moduleHelper.js.map